Last Comment Bug 756620 - App-cache integration during OWA installation on desktop
: App-cache integration during OWA installation on desktop
Status: RESOLVED FIXED
[qa-]
: meta
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: Trunk
: All All
: -- normal
: ---
Assigned To: Nobody; OK to take it and work on it
: Jason Smith [:jsmith]
:
Mentors:
Depends on: 744713 744719 749029 753990 756131 760067 760365 772919
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 13:58 PDT by Jonas Sicking (:sicking) No longer reading bugmail consistently
Modified: 2016-02-04 15:00 PST (History)
16 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
gaping (deleted)
2012-07-14 09:07 PDT, gaping.n
no flags Details

Description Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-05-18 13:58:35 PDT
This is a tracking bug for implementing app-cache integration with the .install() call.

The behavior we want from an API point of view is:

1. Store calls the .install() function
2. If needed, the firefox asks the user if installing is ok.
3. Firefox downloads the manifest and finds the URL of the appcache manifest
   (possibly by checking the manifest attribute of the app's start page)
4. Firefox creates a new profile folder for the XULRunner app which will be
   used to run the app.
5. Firefox starts downloading the resources listed in the appcache manifest
   and saves them in the newly created profile folder
6. As resources are downloaded, progress events are delivered to the store.
Comment 1 Jason Smith [:jsmith] 2012-05-28 15:55:23 PDT
Nominating for k9o - This relates to integrating app cache to the install flow of web apps to enable part of a k9o user story through app cache support (https://wiki.mozilla.org/Kilimanjaro/ProductDraft#The_Mozilla_web_platform_will_include_core_features_for_developing_games.2C_social.2C_productivity.2C_and_media_apps)
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-04 13:26:13 PDT
No need to block on this bug, we'll block on bug 760365 instead.
Comment 3 Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-07-10 09:31:53 PDT
Other than bug 760067, is there anything left here that we absolutely need to do?

I don't think bug 744713 is a must-have, though it would be very nice to have.
Comment 4 Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-07-12 13:00:12 PDT
Would be great to have verified that we have all the pieces that we need here for the initial release for apps:

* At installation the appcache resources are downloaded.
* During download, progress events are sent to the store through the app object.
* As soon as the app icon appears on the desktop, that the app can be started without
  network connectivity. I.e. all resources should be available through the appcache.
Comment 5 Jason Smith [:jsmith] 2012-07-12 13:06:17 PDT
(In reply to Jonas Sicking (:sicking) from comment #4)
> Would be great to have verified that we have all the pieces that we need
> here for the initial release for apps:
> 
> * At installation the appcache resources are downloaded.
> * During download, progress events are sent to the store through the app
> object.
> * As soon as the app icon appears on the desktop, that the app can be
> started without
>   network connectivity. I.e. all resources should be available through the
> appcache.

The preloading testing of bug 760365 I think already tested this. In verifying bug 760067, I'll keep a look out for this to make sure this definitely works.
Comment 6 gaping.n 2012-07-14 09:07:16 PDT
Created attachment 642234 [details]
gaping

[comment deleted by admin]
Comment 7 Jason Smith [:jsmith] 2012-07-14 09:18:12 PDT
Comment on attachment 642234 [details]
gaping

Please don't spam mozilla's bugzilla server with this. For testing, use landfill.
Comment 8 Dave Miller [:justdave] (justdave@bugzilla.org) 2012-07-14 09:33:24 PDT
The content of attachment 642234 [details] has been deleted by
    Dave Miller [:justdave] <justdave@mozilla.com>
who provided the following reason:

attachment was vandalism

The token used to delete this attachment was generated at 2012-07-14 09:33:09 PDT.
Comment 9 Ragavan S [:rags] 2012-07-26 10:33:20 PDT
Jonas, is this work still targeting desktop support as well or are you focused on just the B2G implementation?
Comment 10 [:fabrice] Fabrice Desré 2012-07-26 10:47:05 PDT
(In reply to Ragavan S [:rags] from comment #9)
> Jonas, is this work still targeting desktop support as well or are you
> focused on just the B2G implementation?

It works on both!
Comment 11 Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-07-26 13:43:36 PDT
Yup, I think we can close this one.
Comment 12 cscott 2012-09-16 15:10:32 PDT
This doesn't work on Firefox/Android, however, as far as I can tell.
Comment 13 Marco Castelluccio [:marco] 2013-07-19 16:33:52 PDT
I think this doesn't work anymore on desktop. I'll investigate a bit and file a new bug.
Comment 14 Marco Castelluccio [:marco] 2013-07-19 17:32:29 PDT
(In reply to Marco Castelluccio [:marco] from comment #13)
> I think this doesn't work anymore on desktop. I'll investigate a bit and
> file a new bug.

It works, it's just the cache directory that has changed on Linux :)

Note You need to log in before you can comment on or make changes to this bug.